from dash import (
    html, 
    dcc
)

layout = html.Div([
    dcc.Store(
        id='chat-history', 
        data=[]
    ),
    html.H1(
        "Simple Chat App", 
        style={'text-align': 'center'}
    ),
    html.Div(
        id='chat-container', 
        style={'overflowY': 'scroll', 'height': '70vh', 'padding': '10px'}
    ),
    html.Div([
        dcc.Input(
            id='user-input', 
            type='text', 
            placeholder='Type your message...', 
            debounce=True
        ),
        html.Button(
            'Send', 
            id='send-button', 
            n_clicks=0
        )
    ], style={
        'display': 'flex', 
        'alignItems': 'center', 
        'justifyContent': 'center', 
        'position': 'fixed', 
        'bottom': 0, 
        'width': '100%', 
        'padding': '10px'
    })
], style={'position': 'relative'})
